:root {
  --light: #41B6E6;
  --dark: #DB3EB1;

  --fh: 'roboto', sans-serif;

}


/*CSS Reset*/
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/*=========
HERO PAGE
===========*/

/*Typograhy*/

.hero h2 {
  font-family: var(--fh);
  font-weight: 500;
  font-size: 1rem;  
}

.hero h2 span {
  font-family: var(--fh);
  color: black;
  font-weight: 900;
  font-size: 1.5rem;  
  letter-spacing: 1px;
  margin-left: 5px;
}

.hero {
  display: flex;
  align-items: center;
  background-image: linear-gradient(90deg, 
    rgba(65, 182, 230, 0.8), 
    rgba(219, 62, 177, 0.8)
    );
  color: white;
  margin-bottom: 0px;
  padding: 200px 7px;
  justify-content: center;
  position: relative;
  overflow: hidden;
  min-height: 100vh;
  flex-direction: column;

}

.video-bg {
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  min-width: 100%;
  min-height: 100%;
}

/*=========
NAV PAGE
===========*/

nav {
  background-color: black;
  padding: 0px 50px;
  border-bottom-style: solid; 
  border-bottom-color: var(--dark);
  border-bottom-width: 5px;
  margin-bottom: 0;
}

nav ul {
  margin-left: 100px;

}

nav li {
  margin-left: 50px;
  position: relative;
  color: white;

}

nav a {
  color: white;
  text-transform: uppercase;
  font-size: 16px;
  font-family: var(--fh);
}

nav a:hover {
   color: var(--dark);
}

nav a::before {
  content: "";
  display: block;
  height: 5px;
  background-color: var(--light);

  position: absolute;
  top: 0;
  width: 0%;

  transition: all ease-in-out 200ms;
}

nav a:hover::before {
  width: 100%;
}

/*=========
ABOUT PAGE
===========*/

/*Layout*/

.about {

/*  background-color: var(--dark);*/
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 7rem 3rem 0 3rem;  
  align-items: center;
  text-align: center;
}

/*typograhy*/
.about h2 {
  font-family: var(--fh);
  font-weight: 900;
  font-size: 3rem;
  text-transform: uppercase;
  margin-bottom: 6rem;
}

.about h3 {
  font-family: var(--fh);
  font-weight: 500;
  font-size: 1.5rem;
  text-transform: uppercase;
  margin: 1rem 0;
}

.about .iconBody {
  font-family: var(--fh);
  font-weight: 300;
  font-size: 1rem;
  margin: 1rem 0;
  max-width: auto;
  padding: 0 2rem;
 }



 /*Style*/
.fastIcon {
  background-color: var(--light);
  width: 150px;
  height: 150px;
  clip-path: polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%);
}


.dynIcon {
  background-color: var(--light);
  width: 150px;
  height: 150px;
  clip-path: polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%);
}

.intIcon {
  background-color: var(--light);
  width: 150px;
  height: 150px;
  clip-path: polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%);
}

.respIcon {
  background-color: var(--light);
  width: 150px;
  height: 150px;
  clip-path: polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%);
}

.ownerCard {
  width:  auto;
  height: 100%;
  margin: auto;
  padding: 10px;
  border-radius: 10px;
  box-shadow: 0px 0px 10px 0px #666;
}

.ownerPic {
  width: auto;
  height: 250px;
  clip-path: polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%);
}

.skillCard {
  width:  auto;
  height: 100%;
  margin: auto;
  padding: 10px;
  border-radius: 10px;
  box-shadow: 0px 0px 10px 0px #666;
}

.skill {
  width: 100%;
  height: 100%;

}

.box {
  background-color: #cdfafa;
  font-family: var(--fh);
  font-weight: 300;
  color: white;
  width: 100px;
  height: 50px;
  transition-duration: 1s;
  transition-property: width;
  display: flex;
  justify-content: center;
  align-items: center;
  transition-timing-function: ease-in-out;
}

.skill:hover .css {
  width: 95%;
}

.skill:hover .html {
  width: 90%;
}

.skill:hover .react {
  width: 80%;
}

.skill:hover .js {
  width: 85%;
}

.skill:hover .node {
  width: 50%;
}

.skill:hover .ui {
  width: 84%;
}

.skill:hover .pshop {
  width: 78%;
}

.skill:hover .illus {
  width: 70;
}

.skill:hover .fig {
  width: 50%;
}

.skill:hover .s3d {
  width: 60%;
}

.css,
.react,
.node,
.pshop,
.s3d {
  background: var(--dark);
}

.html,
.js,
.ui,
.fig {
  background: var(--light);
}

/*=========
PROJECTS PAGE
===========*/

#projects {

/*  background-color: var(--dark);*/
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 7rem 3rem 0 3rem;  
  align-items: center;
  text-align: center;
}

#projects h2 {
  font-family: var(--fh);
  font-weight: 900;
  font-size: 3rem;
  text-transform: uppercase;
  margin-bottom: 6rem;
  text-align: center;
}

.projectCard {
  width:  auto;
  height: auto;
  margin: 1rem 0 2rem 0;
  padding: 10px;
  border-radius: 10px;
  box-shadow: 0px 0px 10px 0px #666;
}
/*=========
CONTACT PAGE
===========*/

#contact {

/*  background-color: var(--dark);*/
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 7rem 3rem 3rem 3rem;  
  align-items: center;
  text-align: center;
}

.contactTitle {
  font-family: var(--fh);
  font-weight: 900;
  font-size: 2em;
  text-transform: uppercase;
  margin-bottom: 6rem;
  text-align: center;
}

.contactIn {
  width:  auto;
  height: 100%;
  margin: auto;
  display:  flex;
  flex-wrap:  wrap; 
  padding: 10px;
  border-radius: 10px;
  box-shadow: 0px 0px 10px 0px #666;
}

.contact-map {
  width:  100%;
  height:   auto;
  flex:   50%;
}

.contact-map iframe {
  width:  100%;
  height:  100%;
}

.contact-form {
  width:  100%;
  height:   auto;
  flex:   50%;
  padding: 30px;
  text-align:   center; 
}

.contact-form h2 {
   font-family: var(--fh);
  font-weight: 900;
  font-size: 2em;
  text-transform: uppercase;
  margin-bottom: 6rem;
  text-align: center;
}

.contact-form-txt {
  width: 100%;
  height: 40px;
  color: #000;
  border: 1px solid #bcbcbc;
  border-radius: 50px; 
  outline:  none;
  margin-bottom: 20px;
  padding:  15px;
}

.contact-form-txt::placeholder {
  color: #aaa;
}

.contact-form-btn {
  width:  100%;
  border: none;
  outline:  none; 
  border-radius:  50px;
  background:   var(--light);
  color:  #fff;
  text-transform:   uppercase;  
  padding:  10px 0;
  cursor: pointer;
  font-size:  10px;
}

.contact-form-textarea {
  width: 100%;
  height: 130px;
  color: #000;
  border: 1px solid #bcbcbc;
  border-radius: 10px; 
  outline:  none;
  margin-bottom: 20px;
  padding:  15px;
}

.contact-form-textarea::placeholder {
  color: #aaa;
}

